Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
24.0.0.0
Broadcast address
24.255.255.255
First usable
24.0.0.1
Last usable
24.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 18000000 · Integer 402653184 to 419430399
Reverse DNS zone
24.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000..00000000.00000000.0000000024.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00011000..00000000.00000000.0000000024.0.0.0
Broadcast00011000..11111111.11111111.1111111124.255.255.255
Split into smaller subnets/18

24.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.0.0.0/1824.0.0.1 to 24.0.63.25424.0.63.25516,382
224.0.64.0/1824.0.64.1 to 24.0.127.25424.0.127.25516,382
324.0.128.0/1824.0.128.1 to 24.0.191.25424.0.191.25516,382
424.0.192.0/1824.0.192.1 to 24.0.255.25424.0.255.25516,382
524.1.0.0/1824.1.0.1 to 24.1.63.25424.1.63.25516,382
624.1.64.0/1824.1.64.1 to 24.1.127.25424.1.127.25516,382
724.1.128.0/1824.1.128.1 to 24.1.191.25424.1.191.25516,382
824.1.192.0/1824.1.192.1 to 24.1.255.25424.1.255.25516,382
924.2.0.0/1824.2.0.1 to 24.2.63.25424.2.63.25516,382
1024.2.64.0/1824.2.64.1 to 24.2.127.25424.2.127.25516,382
1124.2.128.0/1824.2.128.1 to 24.2.191.25424.2.191.25516,382
1224.2.192.0/1824.2.192.1 to 24.2.255.25424.2.255.25516,382
1324.3.0.0/1824.3.0.1 to 24.3.63.25424.3.63.25516,382
1424.3.64.0/1824.3.64.1 to 24.3.127.25424.3.127.25516,382
1524.3.128.0/1824.3.128.1 to 24.3.191.25424.3.191.25516,382
1624.3.192.0/1824.3.192.1 to 24.3.255.25424.3.255.25516,382
1724.4.0.0/1824.4.0.1 to 24.4.63.25424.4.63.25516,382
1824.4.64.0/1824.4.64.1 to 24.4.127.25424.4.127.25516,382
1924.4.128.0/1824.4.128.1 to 24.4.191.25424.4.191.25516,382
2024.4.192.0/1824.4.192.1 to 24.4.255.25424.4.255.25516,382
2124.5.0.0/1824.5.0.1 to 24.5.63.25424.5.63.25516,382
2224.5.64.0/1824.5.64.1 to 24.5.127.25424.5.127.25516,382
2324.5.128.0/1824.5.128.1 to 24.5.191.25424.5.191.25516,382
2424.5.192.0/1824.5.192.1 to 24.5.255.25424.5.255.25516,382
2524.6.0.0/1824.6.0.1 to 24.6.63.25424.6.63.25516,382
2624.6.64.0/1824.6.64.1 to 24.6.127.25424.6.127.25516,382
2724.6.128.0/1824.6.128.1 to 24.6.191.25424.6.191.25516,382
2824.6.192.0/1824.6.192.1 to 24.6.255.25424.6.255.25516,382
2924.7.0.0/1824.7.0.1 to 24.7.63.25424.7.63.25516,382
3024.7.64.0/1824.7.64.1 to 24.7.127.25424.7.127.25516,382
3124.7.128.0/1824.7.128.1 to 24.7.191.25424.7.191.25516,382
3224.7.192.0/1824.7.192.1 to 24.7.255.25424.7.255.25516,382
3324.8.0.0/1824.8.0.1 to 24.8.63.25424.8.63.25516,382
3424.8.64.0/1824.8.64.1 to 24.8.127.25424.8.127.25516,382
3524.8.128.0/1824.8.128.1 to 24.8.191.25424.8.191.25516,382
3624.8.192.0/1824.8.192.1 to 24.8.255.25424.8.255.25516,382
3724.9.0.0/1824.9.0.1 to 24.9.63.25424.9.63.25516,382
3824.9.64.0/1824.9.64.1 to 24.9.127.25424.9.127.25516,382
3924.9.128.0/1824.9.128.1 to 24.9.191.25424.9.191.25516,382
4024.9.192.0/1824.9.192.1 to 24.9.255.25424.9.255.25516,382
4124.10.0.0/1824.10.0.1 to 24.10.63.25424.10.63.25516,382
4224.10.64.0/1824.10.64.1 to 24.10.127.25424.10.127.25516,382
4324.10.128.0/1824.10.128.1 to 24.10.191.25424.10.191.25516,382
4424.10.192.0/1824.10.192.1 to 24.10.255.25424.10.255.25516,382
4524.11.0.0/1824.11.0.1 to 24.11.63.25424.11.63.25516,382
4624.11.64.0/1824.11.64.1 to 24.11.127.25424.11.127.25516,382
4724.11.128.0/1824.11.128.1 to 24.11.191.25424.11.191.25516,382
4824.11.192.0/1824.11.192.1 to 24.11.255.25424.11.255.25516,382
4924.12.0.0/1824.12.0.1 to 24.12.63.25424.12.63.25516,382
5024.12.64.0/1824.12.64.1 to 24.12.127.25424.12.127.25516,382
5124.12.128.0/1824.12.128.1 to 24.12.191.25424.12.191.25516,382
5224.12.192.0/1824.12.192.1 to 24.12.255.25424.12.255.25516,382
5324.13.0.0/1824.13.0.1 to 24.13.63.25424.13.63.25516,382
5424.13.64.0/1824.13.64.1 to 24.13.127.25424.13.127.25516,382
5524.13.128.0/1824.13.128.1 to 24.13.191.25424.13.191.25516,382
5624.13.192.0/1824.13.192.1 to 24.13.255.25424.13.255.25516,382
5724.14.0.0/1824.14.0.1 to 24.14.63.25424.14.63.25516,382
5824.14.64.0/1824.14.64.1 to 24.14.127.25424.14.127.25516,382
5924.14.128.0/1824.14.128.1 to 24.14.191.25424.14.191.25516,382
6024.14.192.0/1824.14.192.1 to 24.14.255.25424.14.255.25516,382
6124.15.0.0/1824.15.0.1 to 24.15.63.25424.15.63.25516,382
6224.15.64.0/1824.15.64.1 to 24.15.127.25424.15.127.25516,382
6324.15.128.0/1824.15.128.1 to 24.15.191.25424.15.191.25516,382
6424.15.192.0/1824.15.192.1 to 24.15.255.25424.15.255.25516,382
6524.16.0.0/1824.16.0.1 to 24.16.63.25424.16.63.25516,382
6624.16.64.0/1824.16.64.1 to 24.16.127.25424.16.127.25516,382
6724.16.128.0/1824.16.128.1 to 24.16.191.25424.16.191.25516,382
6824.16.192.0/1824.16.192.1 to 24.16.255.25424.16.255.25516,382
6924.17.0.0/1824.17.0.1 to 24.17.63.25424.17.63.25516,382
7024.17.64.0/1824.17.64.1 to 24.17.127.25424.17.127.25516,382
7124.17.128.0/1824.17.128.1 to 24.17.191.25424.17.191.25516,382
7224.17.192.0/1824.17.192.1 to 24.17.255.25424.17.255.25516,382
7324.18.0.0/1824.18.0.1 to 24.18.63.25424.18.63.25516,382
7424.18.64.0/1824.18.64.1 to 24.18.127.25424.18.127.25516,382
7524.18.128.0/1824.18.128.1 to 24.18.191.25424.18.191.25516,382
7624.18.192.0/1824.18.192.1 to 24.18.255.25424.18.255.25516,382
7724.19.0.0/1824.19.0.1 to 24.19.63.25424.19.63.25516,382
7824.19.64.0/1824.19.64.1 to 24.19.127.25424.19.127.25516,382
7924.19.128.0/1824.19.128.1 to 24.19.191.25424.19.191.25516,382
8024.19.192.0/1824.19.192.1 to 24.19.255.25424.19.255.25516,382
8124.20.0.0/1824.20.0.1 to 24.20.63.25424.20.63.25516,382
8224.20.64.0/1824.20.64.1 to 24.20.127.25424.20.127.25516,382
8324.20.128.0/1824.20.128.1 to 24.20.191.25424.20.191.25516,382
8424.20.192.0/1824.20.192.1 to 24.20.255.25424.20.255.25516,382
8524.21.0.0/1824.21.0.1 to 24.21.63.25424.21.63.25516,382
8624.21.64.0/1824.21.64.1 to 24.21.127.25424.21.127.25516,382
8724.21.128.0/1824.21.128.1 to 24.21.191.25424.21.191.25516,382
8824.21.192.0/1824.21.192.1 to 24.21.255.25424.21.255.25516,382
8924.22.0.0/1824.22.0.1 to 24.22.63.25424.22.63.25516,382
9024.22.64.0/1824.22.64.1 to 24.22.127.25424.22.127.25516,382
9124.22.128.0/1824.22.128.1 to 24.22.191.25424.22.191.25516,382
9224.22.192.0/1824.22.192.1 to 24.22.255.25424.22.255.25516,382
9324.23.0.0/1824.23.0.1 to 24.23.63.25424.23.63.25516,382
9424.23.64.0/1824.23.64.1 to 24.23.127.25424.23.127.25516,382
9524.23.128.0/1824.23.128.1 to 24.23.191.25424.23.191.25516,382
9624.23.192.0/1824.23.192.1 to 24.23.255.25424.23.255.25516,382
9724.24.0.0/1824.24.0.1 to 24.24.63.25424.24.63.25516,382
9824.24.64.0/1824.24.64.1 to 24.24.127.25424.24.127.25516,382
9924.24.128.0/1824.24.128.1 to 24.24.191.25424.24.191.25516,382
10024.24.192.0/1824.24.192.1 to 24.24.255.25424.24.255.25516,382
10124.25.0.0/1824.25.0.1 to 24.25.63.25424.25.63.25516,382
10224.25.64.0/1824.25.64.1 to 24.25.127.25424.25.127.25516,382
10324.25.128.0/1824.25.128.1 to 24.25.191.25424.25.191.25516,382
10424.25.192.0/1824.25.192.1 to 24.25.255.25424.25.255.25516,382
10524.26.0.0/1824.26.0.1 to 24.26.63.25424.26.63.25516,382
10624.26.64.0/1824.26.64.1 to 24.26.127.25424.26.127.25516,382
10724.26.128.0/1824.26.128.1 to 24.26.191.25424.26.191.25516,382
10824.26.192.0/1824.26.192.1 to 24.26.255.25424.26.255.25516,382
10924.27.0.0/1824.27.0.1 to 24.27.63.25424.27.63.25516,382
11024.27.64.0/1824.27.64.1 to 24.27.127.25424.27.127.25516,382
11124.27.128.0/1824.27.128.1 to 24.27.191.25424.27.191.25516,382
11224.27.192.0/1824.27.192.1 to 24.27.255.25424.27.255.25516,382
11324.28.0.0/1824.28.0.1 to 24.28.63.25424.28.63.25516,382
11424.28.64.0/1824.28.64.1 to 24.28.127.25424.28.127.25516,382
11524.28.128.0/1824.28.128.1 to 24.28.191.25424.28.191.25516,382
11624.28.192.0/1824.28.192.1 to 24.28.255.25424.28.255.25516,382
11724.29.0.0/1824.29.0.1 to 24.29.63.25424.29.63.25516,382
11824.29.64.0/1824.29.64.1 to 24.29.127.25424.29.127.25516,382
11924.29.128.0/1824.29.128.1 to 24.29.191.25424.29.191.25516,382
12024.29.192.0/1824.29.192.1 to 24.29.255.25424.29.255.25516,382
12124.30.0.0/1824.30.0.1 to 24.30.63.25424.30.63.25516,382
12224.30.64.0/1824.30.64.1 to 24.30.127.25424.30.127.25516,382
12324.30.128.0/1824.30.128.1 to 24.30.191.25424.30.191.25516,382
12424.30.192.0/1824.30.192.1 to 24.30.255.25424.30.255.25516,382
12524.31.0.0/1824.31.0.1 to 24.31.63.25424.31.63.25516,382
12624.31.64.0/1824.31.64.1 to 24.31.127.25424.31.127.25516,382
12724.31.128.0/1824.31.128.1 to 24.31.191.25424.31.191.25516,382
12824.31.192.0/1824.31.192.1 to 24.31.255.25424.31.255.25516,382
12924.32.0.0/1824.32.0.1 to 24.32.63.25424.32.63.25516,382
13024.32.64.0/1824.32.64.1 to 24.32.127.25424.32.127.25516,382
13124.32.128.0/1824.32.128.1 to 24.32.191.25424.32.191.25516,382
13224.32.192.0/1824.32.192.1 to 24.32.255.25424.32.255.25516,382
13324.33.0.0/1824.33.0.1 to 24.33.63.25424.33.63.25516,382
13424.33.64.0/1824.33.64.1 to 24.33.127.25424.33.127.25516,382
13524.33.128.0/1824.33.128.1 to 24.33.191.25424.33.191.25516,382
13624.33.192.0/1824.33.192.1 to 24.33.255.25424.33.255.25516,382
13724.34.0.0/1824.34.0.1 to 24.34.63.25424.34.63.25516,382
13824.34.64.0/1824.34.64.1 to 24.34.127.25424.34.127.25516,382
13924.34.128.0/1824.34.128.1 to 24.34.191.25424.34.191.25516,382
14024.34.192.0/1824.34.192.1 to 24.34.255.25424.34.255.25516,382
14124.35.0.0/1824.35.0.1 to 24.35.63.25424.35.63.25516,382
14224.35.64.0/1824.35.64.1 to 24.35.127.25424.35.127.25516,382
14324.35.128.0/1824.35.128.1 to 24.35.191.25424.35.191.25516,382
14424.35.192.0/1824.35.192.1 to 24.35.255.25424.35.255.25516,382
14524.36.0.0/1824.36.0.1 to 24.36.63.25424.36.63.25516,382
14624.36.64.0/1824.36.64.1 to 24.36.127.25424.36.127.25516,382
14724.36.128.0/1824.36.128.1 to 24.36.191.25424.36.191.25516,382
14824.36.192.0/1824.36.192.1 to 24.36.255.25424.36.255.25516,382
14924.37.0.0/1824.37.0.1 to 24.37.63.25424.37.63.25516,382
15024.37.64.0/1824.37.64.1 to 24.37.127.25424.37.127.25516,382
15124.37.128.0/1824.37.128.1 to 24.37.191.25424.37.191.25516,382
15224.37.192.0/1824.37.192.1 to 24.37.255.25424.37.255.25516,382
15324.38.0.0/1824.38.0.1 to 24.38.63.25424.38.63.25516,382
15424.38.64.0/1824.38.64.1 to 24.38.127.25424.38.127.25516,382
15524.38.128.0/1824.38.128.1 to 24.38.191.25424.38.191.25516,382
15624.38.192.0/1824.38.192.1 to 24.38.255.25424.38.255.25516,382
15724.39.0.0/1824.39.0.1 to 24.39.63.25424.39.63.25516,382
15824.39.64.0/1824.39.64.1 to 24.39.127.25424.39.127.25516,382
15924.39.128.0/1824.39.128.1 to 24.39.191.25424.39.191.25516,382
16024.39.192.0/1824.39.192.1 to 24.39.255.25424.39.255.25516,382
16124.40.0.0/1824.40.0.1 to 24.40.63.25424.40.63.25516,382
16224.40.64.0/1824.40.64.1 to 24.40.127.25424.40.127.25516,382
16324.40.128.0/1824.40.128.1 to 24.40.191.25424.40.191.25516,382
16424.40.192.0/1824.40.192.1 to 24.40.255.25424.40.255.25516,382
16524.41.0.0/1824.41.0.1 to 24.41.63.25424.41.63.25516,382
16624.41.64.0/1824.41.64.1 to 24.41.127.25424.41.127.25516,382
16724.41.128.0/1824.41.128.1 to 24.41.191.25424.41.191.25516,382
16824.41.192.0/1824.41.192.1 to 24.41.255.25424.41.255.25516,382
16924.42.0.0/1824.42.0.1 to 24.42.63.25424.42.63.25516,382
17024.42.64.0/1824.42.64.1 to 24.42.127.25424.42.127.25516,382
17124.42.128.0/1824.42.128.1 to 24.42.191.25424.42.191.25516,382
17224.42.192.0/1824.42.192.1 to 24.42.255.25424.42.255.25516,382
17324.43.0.0/1824.43.0.1 to 24.43.63.25424.43.63.25516,382
17424.43.64.0/1824.43.64.1 to 24.43.127.25424.43.127.25516,382
17524.43.128.0/1824.43.128.1 to 24.43.191.25424.43.191.25516,382
17624.43.192.0/1824.43.192.1 to 24.43.255.25424.43.255.25516,382
17724.44.0.0/1824.44.0.1 to 24.44.63.25424.44.63.25516,382
17824.44.64.0/1824.44.64.1 to 24.44.127.25424.44.127.25516,382
17924.44.128.0/1824.44.128.1 to 24.44.191.25424.44.191.25516,382
18024.44.192.0/1824.44.192.1 to 24.44.255.25424.44.255.25516,382
18124.45.0.0/1824.45.0.1 to 24.45.63.25424.45.63.25516,382
18224.45.64.0/1824.45.64.1 to 24.45.127.25424.45.127.25516,382
18324.45.128.0/1824.45.128.1 to 24.45.191.25424.45.191.25516,382
18424.45.192.0/1824.45.192.1 to 24.45.255.25424.45.255.25516,382
18524.46.0.0/1824.46.0.1 to 24.46.63.25424.46.63.25516,382
18624.46.64.0/1824.46.64.1 to 24.46.127.25424.46.127.25516,382
18724.46.128.0/1824.46.128.1 to 24.46.191.25424.46.191.25516,382
18824.46.192.0/1824.46.192.1 to 24.46.255.25424.46.255.25516,382
18924.47.0.0/1824.47.0.1 to 24.47.63.25424.47.63.25516,382
19024.47.64.0/1824.47.64.1 to 24.47.127.25424.47.127.25516,382
19124.47.128.0/1824.47.128.1 to 24.47.191.25424.47.191.25516,382
19224.47.192.0/1824.47.192.1 to 24.47.255.25424.47.255.25516,382
19324.48.0.0/1824.48.0.1 to 24.48.63.25424.48.63.25516,382
19424.48.64.0/1824.48.64.1 to 24.48.127.25424.48.127.25516,382
19524.48.128.0/1824.48.128.1 to 24.48.191.25424.48.191.25516,382
19624.48.192.0/1824.48.192.1 to 24.48.255.25424.48.255.25516,382
19724.49.0.0/1824.49.0.1 to 24.49.63.25424.49.63.25516,382
19824.49.64.0/1824.49.64.1 to 24.49.127.25424.49.127.25516,382
19924.49.128.0/1824.49.128.1 to 24.49.191.25424.49.191.25516,382
20024.49.192.0/1824.49.192.1 to 24.49.255.25424.49.255.25516,382
20124.50.0.0/1824.50.0.1 to 24.50.63.25424.50.63.25516,382
20224.50.64.0/1824.50.64.1 to 24.50.127.25424.50.127.25516,382
20324.50.128.0/1824.50.128.1 to 24.50.191.25424.50.191.25516,382
20424.50.192.0/1824.50.192.1 to 24.50.255.25424.50.255.25516,382
20524.51.0.0/1824.51.0.1 to 24.51.63.25424.51.63.25516,382
20624.51.64.0/1824.51.64.1 to 24.51.127.25424.51.127.25516,382
20724.51.128.0/1824.51.128.1 to 24.51.191.25424.51.191.25516,382
20824.51.192.0/1824.51.192.1 to 24.51.255.25424.51.255.25516,382
20924.52.0.0/1824.52.0.1 to 24.52.63.25424.52.63.25516,382
21024.52.64.0/1824.52.64.1 to 24.52.127.25424.52.127.25516,382
21124.52.128.0/1824.52.128.1 to 24.52.191.25424.52.191.25516,382
21224.52.192.0/1824.52.192.1 to 24.52.255.25424.52.255.25516,382
21324.53.0.0/1824.53.0.1 to 24.53.63.25424.53.63.25516,382
21424.53.64.0/1824.53.64.1 to 24.53.127.25424.53.127.25516,382
21524.53.128.0/1824.53.128.1 to 24.53.191.25424.53.191.25516,382
21624.53.192.0/1824.53.192.1 to 24.53.255.25424.53.255.25516,382
21724.54.0.0/1824.54.0.1 to 24.54.63.25424.54.63.25516,382
21824.54.64.0/1824.54.64.1 to 24.54.127.25424.54.127.25516,382
21924.54.128.0/1824.54.128.1 to 24.54.191.25424.54.191.25516,382
22024.54.192.0/1824.54.192.1 to 24.54.255.25424.54.255.25516,382
22124.55.0.0/1824.55.0.1 to 24.55.63.25424.55.63.25516,382
22224.55.64.0/1824.55.64.1 to 24.55.127.25424.55.127.25516,382
22324.55.128.0/1824.55.128.1 to 24.55.191.25424.55.191.25516,382
22424.55.192.0/1824.55.192.1 to 24.55.255.25424.55.255.25516,382
22524.56.0.0/1824.56.0.1 to 24.56.63.25424.56.63.25516,382
22624.56.64.0/1824.56.64.1 to 24.56.127.25424.56.127.25516,382
22724.56.128.0/1824.56.128.1 to 24.56.191.25424.56.191.25516,382
22824.56.192.0/1824.56.192.1 to 24.56.255.25424.56.255.25516,382
22924.57.0.0/1824.57.0.1 to 24.57.63.25424.57.63.25516,382
23024.57.64.0/1824.57.64.1 to 24.57.127.25424.57.127.25516,382
23124.57.128.0/1824.57.128.1 to 24.57.191.25424.57.191.25516,382
23224.57.192.0/1824.57.192.1 to 24.57.255.25424.57.255.25516,382
23324.58.0.0/1824.58.0.1 to 24.58.63.25424.58.63.25516,382
23424.58.64.0/1824.58.64.1 to 24.58.127.25424.58.127.25516,382
23524.58.128.0/1824.58.128.1 to 24.58.191.25424.58.191.25516,382
23624.58.192.0/1824.58.192.1 to 24.58.255.25424.58.255.25516,382
23724.59.0.0/1824.59.0.1 to 24.59.63.25424.59.63.25516,382
23824.59.64.0/1824.59.64.1 to 24.59.127.25424.59.127.25516,382
23924.59.128.0/1824.59.128.1 to 24.59.191.25424.59.191.25516,382
24024.59.192.0/1824.59.192.1 to 24.59.255.25424.59.255.25516,382
24124.60.0.0/1824.60.0.1 to 24.60.63.25424.60.63.25516,382
24224.60.64.0/1824.60.64.1 to 24.60.127.25424.60.127.25516,382
24324.60.128.0/1824.60.128.1 to 24.60.191.25424.60.191.25516,382
24424.60.192.0/1824.60.192.1 to 24.60.255.25424.60.255.25516,382
24524.61.0.0/1824.61.0.1 to 24.61.63.25424.61.63.25516,382
24624.61.64.0/1824.61.64.1 to 24.61.127.25424.61.127.25516,382
24724.61.128.0/1824.61.128.1 to 24.61.191.25424.61.191.25516,382
24824.61.192.0/1824.61.192.1 to 24.61.255.25424.61.255.25516,382
24924.62.0.0/1824.62.0.1 to 24.62.63.25424.62.63.25516,382
25024.62.64.0/1824.62.64.1 to 24.62.127.25424.62.127.25516,382
25124.62.128.0/1824.62.128.1 to 24.62.191.25424.62.191.25516,382
25224.62.192.0/1824.62.192.1 to 24.62.255.25424.62.255.25516,382
25324.63.0.0/1824.63.0.1 to 24.63.63.25424.63.63.25516,382
25424.63.64.0/1824.63.64.1 to 24.63.127.25424.63.127.25516,382
25524.63.128.0/1824.63.128.1 to 24.63.191.25424.63.191.25516,382
25624.63.192.0/1824.63.192.1 to 24.63.255.25424.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses